# TdApi.AuthorizationStateWaitEmailCode (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AuthorizationStateWaitEmailCode

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthorizationStateWaitEmailCode

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState
it.tdlight.jni.TdApi.AuthorizationStateWaitEmailCode

Enclosing class:
  TdApi

public static final class TdApi.AuthorizationStateWaitEmailCode extends TdApi.AuthorizationState
TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowAppleId`
True, if authorization through Apple ID is allowed.
`boolean`
`allowGoogleId`
True, if authorization through Google ID is allowed.
`TdApi.EmailAddressAuthenticationCodeInfo`
`codeInfo`
Information about the sent authentication code.
`static final int`
`CONSTRUCTOR`
`TdApi.EmailAddressResetState`
`emailAddressResetState`
Reset state of the email address; may be null if the email address can't be reset.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationStateWaitEmailCode()`
TDLib needs the user's authentication code sent to an email address to authorize.
`AuthorizationStateWaitEmailCode(boolean allowAppleId, boolean allowGoogleId, TdApi.EmailAddressAuthenticationCodeInfo codeInfo, TdApi.EmailAddressResetState emailAddressResetState)`
TDLib needs the user's authentication code sent to an email address to authorize.
`AuthorizationStateWaitEmailCode(DataInput input)`
TDLib needs the user's authentication code sent to an email address to authorize.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### allowAppleId

public boolean allowAppleId
True, if authorization through Apple ID is allowed.

### allowGoogleId

public boolean allowGoogleId
True, if authorization through Google ID is allowed.

### codeInfo

public TdApi.EmailAddressAuthenticationCodeInfo codeInfo
Information about the sent authentication code.

### emailAddressResetState

public TdApi.EmailAddressResetState emailAddressResetState
Reset state of the email address; may be null if the email address can't be reset.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AuthorizationStateWaitEmailCode

public AuthorizationStateWaitEmailCode()
TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.

### AuthorizationStateWaitEmailCode

public AuthorizationStateWaitEmailCode(boolean allowAppleId, boolean allowGoogleId, TdApi.EmailAddressAuthenticationCodeInfo codeInfo, TdApi.EmailAddressResetState emailAddressResetState)
TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.

Parameters:
  `allowAppleId` - boolean True, if authorization through Apple ID is allowed.
  `allowGoogleId` - boolean True, if authorization through Google ID is allowed.
  `codeInfo` - EmailAddressAuthenticationCodeInfo Information about the sent authentication code.
  `emailAddressResetState` - EmailAddressResetState Reset state of the email address; may be null if the email address can't be reset.

### AuthorizationStateWaitEmailCode

public AuthorizationStateWaitEmailCode(DataInput input) throws IOException
TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`